- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QTextList Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qtextlist.h.

`#include <qtextlist.h>`

Inheritance diagram for QTextList:
[legend]

List of all members.

## Public Member Functions
| QTextList (QTextDocument *doc)
| ~QTextList ()
int | count () const
bool | isEmpty () const
QTextBlock | item (int i) const
int | itemNumber (const QTextBlock &) const
QString | itemText (const QTextBlock &) const
void | removeItem (int i)
void | remove (const QTextBlock &)
void | add (const QTextBlock &block)
void | setFormat (const QTextListFormat &format)
QTextListFormat | format () const

## Constructor & Destructor Documentation

QTextList | ( | QTextDocument * | doc | ) | `[explicit]`

~QTextList | ( |  | ) |

## Member Function Documentation

int count | ( |  | ) | const

Search for all occurrences

bool isEmpty | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 66 of file qtextlist.h.

        { return count() == 0; }

QTextBlock item | ( | int | i | ) | const

Search for all occurrences

int itemNumber | ( | const QTextBlock & |  | ) | const

Search for all occurrences

QString itemText | ( | const QTextBlock & |  | ) | const

Search for all occurrences

void removeItem | ( | int | i | ) |

Search for all occurrences

void remove | ( | const QTextBlock & |  | ) |

Search for all occurrences

void add | ( | const QTextBlock & | block | ) |

Search for all occurrences

void setFormat | ( | const QTextListFormat & | format | ) | `[inline]`

Search for all occurrences

Definition at line 87 of file qtextlist.h.

    { QTextObject::setFormat(aformat); }

QTextListFormat format | ( |  | ) | const `[inline]`

Search for all occurrences

Reimplemented from QTextObject.

Definition at line 80 of file qtextlist.h.

    { return QTextObject::format().toListFormat(); }

The documentation for this class was generated from the following file:

- QtGui/qtextlist.h

QTextList QTextList QTextList QTextList QTextList QTextList QTextList QTextList QTextList QTextList
QTextList QTextList QTextList QTextList QTextList QTextList QTextList QTextList QTextList QTextList